Subject: Re: linux-next: build failure after merge of the drm-xe tree

From: Jani Nikula <[email-masked]>
Date: Fri, 13 Mar 2026 15:57:12 +0200

On Thu, 12 Mar 2026, Lionel Landwerlin <[email-masked]> wrote:
> Is there no process to deal with kind of merge issues quickly?

For us the main part of the process is: If the patch doesn't build after
applying, talk to the maintainers to get the merges and backmerges going
*before* pushing, *not* after.

Similar to linux-next, drm-tip is the early signal there's a
conflict. If you develop on top of drm-tip, you'll find out about the
conflicts when applying to the individual branches.

I'll try to get a drm-intel-next pull request going today, or Monday at
the latest. Lots of changelog to write. Then it's drm-intel-next ->
drm-next -> drm-xe-next merges/backmerges that need to happen.

BR,
Jani.

-- 
Jani Nikula, Intel